#!/usr/bin/python2

'''
timedel.py 0.3
(c) 2003 Jan ONDREJ (SAL) <ondrejj@salstar.sk>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

Usage:
  timedel.py time path
Example:
  timedel.py 30d /tmp
'''

import sys,os,time,re

if len(sys.argv)<3:
  print "Usage: timedel.py time path"
  print "Example: timedel.py 30d /tmp"
  sys.exit(0)

mul={'s':1,'m':60,'h':3600,'d':24*3600,'w':7*24*3600}

basetime=time.mktime(time.gmtime())-2*time.timezone \
  -int(sys.argv[1][:-1])*mul[sys.argv[1][-1]]

for f in os.listdir(sys.argv[2]):
  reg1=re.search("([0-9]{8}-[0-9]{6})",f)
  if reg1:
    t=reg1.group(1)
    tt=time.mktime(time.strptime(t,"%Y%m%d-%H%M%S"))
    if tt<basetime:
      print f
      os.unlink(os.path.join(sys.argv[2],f))
